# This file is a part of the VyOS VPP addon
#
# Copyright (C) 2023 VyOS Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

from .bond import BondInterface
from .bridge import BridgeInterface
from .ethernet import EthernetInterface
from .geneve import GeneveInterface
from .gre import GREInterface
from .ipip import IPIPInterface
from .loopback import LoopbackInterface
from .vxlan import VXLANInterface
from .wireguard import WireguardInterface
from .xconnect import XconnectInterface

__all__ = [
    'BondInterface',
    'BridgeInterface',
    'EthernetInterface',
    'GeneveInterface',
    'GREInterface',
    'IPIPInterface',
    'LoopbackInterface',
    'VXLANInterface',
    'WireguardInterface',
    'XconnectInterface',
]
